package com.yeejoin.amos.latentdanger.business.util;

import com.google.common.collect.Lists;

import java.util.List;

public class DepartmentUserTreeWebVo {

    private String key;

    private String label;

    private String title;

    private String type;

    private String value;

    private List<DepartmentUserTreeWebVo> children = Lists.newArrayList();

    private List<DepartmentUserTreeWebVo> userModelList = Lists.newArrayList();

    public List<DepartmentUserTreeWebVo> getUserModelList() {
        return userModelList;
    }

    public void setUserModelList(List<DepartmentUserTreeWebVo> userModelList) {
        this.userModelList = userModelList;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public List<DepartmentUserTreeWebVo> getChildren() {
        return children;
    }

    public void setChildren(List<DepartmentUserTreeWebVo> children) {
        this.children = children;
    }
}